Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh	(revision 70)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh	(revision 71)
@@ -69,4 +69,6 @@
 # $username ou whoami
 typeset -r LOGIN=$( whoami )
+# $hostname of the MASTER job
+typeset -r MASTER=${HOST}
 
 #D-
@@ -105,4 +107,9 @@
 #- Mirror libIGCM from brodie to ulam 
 typeset -r MirrorlibIGCM=${MirrorlibIGCM:=true}
+
+#====================================================
+#- libIGCM_POST
+PATHlibIGCM=$( echo ${libIGCM} | awk -F"${LOGIN}/" '{print $2}' | sed -e "s&/libIGCM&&" )
+typeset -r libIGCM_POST=${HOME}/${PATHlibIGCM}/libIGCM
 
 #====================================================
@@ -604,12 +611,7 @@
 #====================================================
 #- Call IGCM_sys_Mirror_libIGCM now !
-PATHlibIGCM=$( echo ${libIGCM} | awk -F"${LOGIN}/" '{print $2}' | sed -e "s&/libIGCM&&" )
 if ( $MirrorlibIGCM ) ; then
     IGCM_sys_Mirror_libIGCM
 fi
-
-#====================================================
-#- libIGCM_POST
-typeset -r libIGCM_POST=${HOME}/${PATHlibIGCM}/libIGCM
 
 #D-#==================================================
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh	(revision 70)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh	(revision 71)
@@ -87,5 +87,5 @@
 export FER_DATA="$FER_DATA /home/mc2ipsl/temp_local/grids"
 
-#=========================================================
+#====================================================
 # Host specific DIRECTORIES
 #====================================================
@@ -96,18 +96,18 @@
 
 #====================================================
+#- SCRATCHDIR (=> ${R_DONNEES})
+typeset -r SCRATCHDIR=/home/${LOGIN}/TEMP_LOCAL
+
+#====================================================
+#- SUBMIT_DIR : submission dir
+typeset SUBMIT_DIR=${SUBMIT_DIR:=${PWD}}
+
+#====================================================
+#- ARCHIVE
+typeset -r ARCHIVE=/home
+
+#====================================================
 #- libIGCM_POST
 typeset -r libIGCM_POST=${libIGCM}
-
-#====================================================
-#- SCRATCHDIR (=> ${R_DONNEES})
-typeset -r SCRATCHDIR=/home/${LOGIN}/TEMP_LOCAL
-
-#====================================================
-#- SUBMIT_DIR : submission dir
-typeset SUBMIT_DIR=${SUBMIT_DIR:=${PWD}}
-
-#====================================================
-#- ARCHIVE
-typeset -r ARCHIVE=/home
 
 #====================================================
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh	(revision 70)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh	(revision 71)
@@ -69,4 +69,6 @@
 # $username ou whoami
 typeset -r LOGIN=$( whoami )
+# $hostname of the MASTER job
+typeset -r MASTER=${HOST}
 
 #D-
@@ -97,8 +99,4 @@
 #- R_EXE   (==> BIN_DIR = ${MODIPSL}/bin )
 typeset -r R_EXE="${MODIPSL}/bin"
-
-#====================================================
-#- libIGCM_POST
-typeset -r libIGCM_POST=${libIGCM}
 
 #====================================================
@@ -126,4 +124,8 @@
 #     exit 1
 # fi
+
+#====================================================
+#- libIGCM_POST
+typeset -r libIGCM_POST=${libIGCM}
 
 #====================================================
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 70)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 71)
@@ -69,4 +69,6 @@
 # $username ou whoami
 typeset -r LOGIN=$( whoami )
+# $hostname of the MASTER job
+typeset -r MASTER=${HOST}
 
 #D-
@@ -93,18 +95,18 @@
 
 #====================================================
+#- SCRATCHDIR (=> ${R_DONNEES})
+typeset -r SCRATCHDIR=/tmp
+
+#====================================================
+#- SUBMIT_DIR : submission dir
+typeset SUBMIT_DIR=${SUBMIT_DIR:=${PWD}}
+
+#====================================================
+#- ARCHIVE
+typeset -r ARCHIVE=/home
+
+#====================================================
 #- libIGCM_POST
 typeset -r libIGCM_POST=${libIGCM}
-
-#====================================================
-#- SCRATCHDIR (=> ${R_DONNEES})
-typeset -r SCRATCHDIR=/tmp
-
-#====================================================
-#- SUBMIT_DIR : submission dir
-typeset SUBMIT_DIR=${SUBMIT_DIR:=${PWD}}
-
-#====================================================
-#- ARCHIVE
-typeset -r ARCHIVE=/home
 
 #====================================================
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 70)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 71)
@@ -69,4 +69,6 @@
 # $username ou whoami
 typeset -r LOGIN=$( whoami )
+# $hostname of the MASTER job
+typeset -r MASTER=${HOST}
 
 #D-
@@ -94,14 +96,14 @@
 
 #====================================================
+#- SUBMIT_DIR : submission dir
+typeset SUBMIT_DIR=${SUBMIT_DIR:=${PBS_O_WORKDIR}}
+
+#====================================================
+#- ARCHIVE
+typeset -r ARCHIVE=${DMFDIR}
+
+#====================================================
 #- libIGCM_POST
 typeset -r libIGCM_POST=${libIGCM}
-
-#====================================================
-#- SUBMIT_DIR : submission dir
-typeset SUBMIT_DIR=${SUBMIT_DIR:=${PBS_O_WORKDIR}}
-
-#====================================================
-#- ARCHIVE
-typeset -r ARCHIVE=${DMFDIR}
 
 #====================================================
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh	(revision 70)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh	(revision 71)
@@ -93,26 +93,27 @@
 export FER_PALETTE="$FER_PALETTE /home/cont003/p86denv/GRAF/PALET"
 
-#=========================================================
+#====================================================
 # Host specific DIRECTORIES
 #====================================================
+
+#====================================================
+#- R_EXE   (==> BIN_DIR = ${MODIPSL}/bin )
+typeset -r R_EXE="${MODIPSL}/bin"
+
+#====================================================
+# For interactive jobs on mercure 
+PBS_O_WORKDIR=${PBS_O_WORKDIR:=$(pwd)}
+
+#====================================================
+#- SUBMIT_DIR : submission dir
+typeset SUBMIT_DIR=${SUBMIT_DIR:=${PBS_O_WORKDIR}}
+
+#====================================================
+#- ARCHIVE
+typeset -r ARCHIVE=${DMFDIR}
+
 #====================================================
 #- libIGCM_POST
 typeset -r libIGCM_POST=${libIGCM}
-
-#====================================================
-#- R_EXE   (==> BIN_DIR = ${MODIPSL}/bin )
-typeset -r R_EXE="${MODIPSL}/bin"
-
-#====================================================
-# For interactive jobs on mercure 
-PBS_O_WORKDIR=${PBS_O_WORKDIR:=$(pwd)}
-
-#====================================================
-#- SUBMIT_DIR : submission dir
-typeset SUBMIT_DIR=${SUBMIT_DIR:=${PBS_O_WORKDIR}}
-
-#====================================================
-#- ARCHIVE
-typeset -r ARCHIVE=${DMFDIR}
 
 #====================================================
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 70)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 71)
@@ -69,4 +69,6 @@
 # $username ou whoami
 typeset -r LOGIN=$( whoami )
+# $hostname of the MASTER job
+typeset -r MASTER=${HOST}
 
 #D-
@@ -93,17 +95,17 @@
 
 #====================================================
+#- SCRATCHDIR (=> ${R_DONNEES})
+typeset -r SCRATCHDIR=/tmp
+
+#====================================================
+#- SUBMIT_DIR : submission dir
+typeset SUBMIT_DIR=${SUBMIT_DIR:=${PBS_O_WORKDIR}}
+#====================================================
+#- ARCHIVE
+typeset -r ARCHIVE=/home/scratch01/${LOGIN}
+
+#====================================================
 #- libIGCM_POST
 typeset -r libIGCM_POST=${libIGCM}
-
-#====================================================
-#- SCRATCHDIR (=> ${R_DONNEES})
-typeset -r SCRATCHDIR=/tmp
-
-#====================================================
-#- SUBMIT_DIR : submission dir
-typeset SUBMIT_DIR=${SUBMIT_DIR:=${PBS_O_WORKDIR}}
-#====================================================
-#- ARCHIVE
-typeset -r ARCHIVE=/home/scratch01/${LOGIN}
 
 #====================================================
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 70)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 71)
@@ -69,4 +69,6 @@
 # $username ou whoami
 typeset -r LOGIN=$( whoami )
+# $hostname of the MASTER job
+typeset -r MASTER=${HOST}
 
 #D-
@@ -103,14 +105,14 @@
 
 #====================================================
+#- SUBMIT_DIR : submission dir
+typeset SUBMIT_DIR=${SUBMIT_DIR:=${PWD}}
+
+#====================================================
+#- ARCHIVE
+typeset -r ARCHIVE=${DMFDIR}
+
+#====================================================
 #- libIGCM_POST
 typeset -r libIGCM_POST=${libIGCM}
-
-#====================================================
-#- SUBMIT_DIR : submission dir
-typeset SUBMIT_DIR=${SUBMIT_DIR:=${PWD}}
-
-#====================================================
-#- ARCHIVE
-typeset -r ARCHIVE=${DMFDIR}
 
 #====================================================
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 70)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 71)
@@ -146,5 +146,5 @@
     #set -vx
     IGCM_debug_PushStack "IGCM_sys_RshMaster" $@
-    rsh brodie exec /bin/ksh <<-EOF
+    rsh ${MASTER} exec /bin/ksh <<-EOF
     export libIGCM=${libIGCM_SX}
     . ${libIGCM_SX}/libIGCM_debug/libIGCM_debug.ksh
@@ -751,7 +751,7 @@
     fi
     if [ $DRYRUN = 0 ]; then
-	TEST=$( rsh brodie -n "[ -d $1 ] && echo 1 || echo 0" )
+	TEST=$( rsh ${MASTER} -n "[ -d $1 ] && echo 1 || echo 0" )
 	if [ ${TEST} -ne 1 ] ; then
-	    echo "WARNING : IGCM_sys_Get_Master ${1} DOES NOT EXIST ON BRODIE."
+	    echo "WARNING : IGCM_sys_Get_Master ${1} DOES NOT EXIST ON ${MASTER}."
 	    IGCM_debug_PopStack "IGCM_sys_Get_Master"
 	    return
@@ -762,5 +762,5 @@
 
 	#USUAL WAY
-	rcp -r brodie:$1 $2 > out_rsync 2>&1
+	rcp -r ${MASTER}:$1 $2 > out_rsync 2>&1
   	RET=$?
 