Index: trunk/libIGCM/libIGCM.card
===================================================================
--- trunk/libIGCM/libIGCM.card	(revision 119)
+++ trunk/libIGCM/libIGCM.card	(revision 119)
@@ -0,0 +1,20 @@
+# $Date: $
+# $Name: $
+# $Revision: $
+# IPSL (2006)
+#  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
+
+#D- You MUST change cards (and first config.card) parameters too be compatible
+#D- with your modifications here.
+[UserChanges]
+PeriodNB=2
+#config_UserChoices_DateEnd=1900-02-03
+#config_UserChoices_PeriodLength= 1D
+#config_Post_TimeSeriesFrequency= 1D
+#config_Post_SeasonalFrequency= 1Y
+#config_SRF_WriteFrequency= 1800s
+
+#D- Increased verbosity (1, 2, 3)
+#Verbosity=1
+#D- Path must exist before change it !
+#RUN_DIR=${RUN_DIR_PATH}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
Index: trunk/libIGCM/libIGCM_config/libIGCM_config.ksh
===================================================================
--- trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 118)
+++ trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 119)
@@ -531,4 +531,69 @@
 
     #=================================================#
+    #         Modification of libIGCM behaviour       #
+    #=================================================#
+
+    # To use this function, one must copu libIGCM.card from ${libIGCM} directory
+    # and put it in ${SUBMIT_DIR} directory. Ater modifications of ${SUBMIT_DIR}/libIGCM.card,
+    # variables define inside [UserChanges] will be modifyd for next Period of libIGCM main loop. 
+    if [ -f ${SUBMIT_DIR}/libIGCM.card ] ; then
+	echo
+	echo "########################################################################"
+	echo "!!!                 Modification of libIGCM behaviour                !!!"
+	echo
+
+	IGCM_debug_Print 1 "DefineArrayFromOption  : libIGCM_UserChanges in libIGCM.card"
+	IGCM_card_DefineArrayFromSection ${SUBMIT_DIR}/libIGCM.card UserChanges
+	IGCM_debug_Print 2 "libIGCM_UserChanges" ${libIGCM_UserChanges[*]}
+
+	# Special treatments for libIGCM internals
+	for option in ${libIGCM_UserChanges[*]} ; do
+            IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/libIGCM.card UserChanges ${option}
+
+	    echo "We will change : ${option}."
+	    eval echo "Previous value : " \${${option}}
+	    eval echo "Change to : " \${libIGCM_UserChanges_${option}}
+	    
+	    eval ${option}=\${libIGCM_UserChanges_${option}}
+
+	    case ${option} in
+		config_UserChoices_DateEnd)
+		    IGCM_debug_PrintVariables 3 config_UserChoices_DateEnd
+		    DateEnd=$( IGCM_date_ConvertFormatToGregorian ${config_UserChoices_DateEnd} )
+
+                    # Period Length In Days between DateBegin and DateEnd
+		    (( ExperienceLengthInDays=$( IGCM_date_DaysBetweenGregorianDate ${DateEnd} ${DateBegin} )  + 1 ))
+		    if [ ${ExperienceLengthInDays} -lt 0 ] ; then
+			IGCM_debug_Print 1 "Problem with dates in libIGCM.card : ${DateEnd} < ${DateBegin} ! You must check that."
+			IGCM_debug_Exit "IGCM_PeriodEnd" " Wrong Dates."
+			IGCM_debug_Verif_Exit 
+		    fi
+		    ;;
+		config_UserChoices_PeriodLength)
+		    ;;
+		PeriodNb)
+		    IGCM_debug_Print 3  "Loop in main Job with ${PeriodNb} period(s)"
+		    ;;
+		config_Post_RebuildFrequency)
+		    IGCM_debug_Print 3  "Change config_Post_RebuildFrequency=${config_Post_RebuildFrequency} : IGCM_post_Configure"
+		    IGCM_post_Configure
+		    ;;
+		config_Post_TimeSeriesFrequency)
+		    IGCM_debug_Print 3  "Change config_Post_TimeSeriesFrequency = ${config_Post_TimeSeriesFrequency} : IGCM_post_Initialize"
+		    IGCM_post_Initialize
+		    ;;
+		config_Post_SeasonalFrequency)
+		    IGCM_debug_Print 3  "Change config_Post_SeasonalFrequency = ${config_Post_SeasonalFrequency} : IGCM_post_Initialize"
+		    IGCM_post_Initialize
+		    ;;
+	    esac
+	done
+
+	echo
+	echo "########################################################################"
+	echo
+    fi
+
+    #=================================================#
     #         Determine next computed period          #
     #=================================================#