Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh	(revision 173)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh	(revision 192)
@@ -79,9 +79,7 @@
 # rsync with path
 typeset -r RSYNC=/usr/local/bin/rsync
-# RSYNC_opt args to "local rsync"
-typeset -r RSYNC_FRONT="rsh ulam /usr/bin/rsync "
 # RSYNC_opt args to rsync
 typeset -r RSYNC_opt="-va"
-# RSYNC_opt args to "remote rsync" 
+# ie storage filesystem
 typeset -r RHOST=gaya.idris.fr
 typeset -r REMOTE_RSYNC=/u/rech/ces/rces452/RSYNC/bin/rsync
@@ -111,5 +109,5 @@
 PATHlibIGCM=$( echo ${libIGCM} | gawk -F"${LOGIN}/" '{print $2}' | sed -e "s&/libIGCM&&" )
 typeset -r HOME_POST=$( echo ${HOME} | sed -e "s/homegpfs/home/" )
-typeset -r libIGCM_POST=${HOME_POST}/${PATHlibIGCM}/libIGCM
+typeset -r libIGCM_POST=${HOME_POST}/MIRROR/${PATHlibIGCM}/libIGCM
 
 #====================================================
@@ -186,6 +184,5 @@
 	echo "IGCM_sys_SendMail :" $@
     fi
-
-    cat  << END_MAIL > job_atlas.mail
+    cat  << END_MAIL > job_end.mail
 Dear ${LOGIN},
 
@@ -272,13 +269,6 @@
 	fi
     fi
-    # vérification ?? :
-    if [ ! -d ${1} ] ; then
-	echo "IGCM_sys_MkdirWork : erreur."
-	IGCM_debug_Exit "IGCM_sys_MkdirWork"
-    fi
     IGCM_debug_PopStack "IGCM_sys_MkdirWork"
 }
-#IGCM_sys_MkdirWork ${RUN_DIR_PATH}
-#echo "RUN_DIR_PATH ${RUN_DIR_PATH} ok."
 
 #D-#==================================================
@@ -381,7 +371,4 @@
 function IGCM_sys_TestFileArchive {
     IGCM_debug_PushStack "IGCM_sys_TestFileArchive" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_TestFileArchive :" $@
-    fi
     typeset ExistFlag
     ExistFlag=$( IGCM_sys_RshArchive "[ -f $1 ] && echo 0 || echo 1" )
@@ -431,9 +418,11 @@
 	echo "IGCM_sys_Tar :" $@
     fi
-    \tar xvf $1
+    \tar cvf $@
     if [ $? -gt 0 ] ; then
 	echo "IGCM_sys_Tar : erreur."
 	IGCM_debug_Exit "IGCM_sys_Tar"
     fi
+    \tar tvf $1
+
     IGCM_debug_PopStack "IGCM_sys_Tar"
 }
@@ -628,13 +617,11 @@
 
     IGCM_sys_RshPost <<-EOF
-    mkdir -p ${PATHlibIGCM}
+    mkdir -p MIRROR/${PATHlibIGCM}
 EOF
     rsh ulam -n hostname > /dev/null 2>&1
     RET=$?
     if [ $RET -eq 0 ] ; then
-# 	echo rcp -r ${libIGCM} ulam:${HOME}/${PATHlibIGCM} > out_rsync 2>&1
-# 	rcp -r ${libIGCM} ulam:${HOME}/${PATHlibIGCM} >> out_rsync 2>&1
-	echo ${RSYNC} ${RSYNC_opt} -e "rsh " ${libIGCM} ulam:${HOME_POST}/${PATHlibIGCM} > out_rsync 2>&1
-	${RSYNC} ${RSYNC_opt} -e "rsh " ${libIGCM} ulam:${HOME_POST}/${PATHlibIGCM} >> out_rsync 2>&1
+	echo ${RSYNC} ${RSYNC_opt} -e "rsh " ${libIGCM} ulam:${HOME_POST}/MIRROR/${PATHlibIGCM} > out_rsync 2>&1
+	${RSYNC} ${RSYNC_opt} -e "rsh " ${libIGCM} ulam:${HOME_POST}/MIRROR/${PATHlibIGCM} >> out_rsync 2>&1
 	RET=$?
 
@@ -688,5 +675,5 @@
     IGCM_debug_PushStack "IGCM_sys_Rm" -- $@
     if ( $DEBUG_sys ) ; then
-        echo "IGCM_sys_Rm :" $@
+	echo "IGCM_sys_Rm :" $@
     fi
 
@@ -698,7 +685,7 @@
 
     if [ ${RET} -gt 0 ] ; then
-        echo "IGCM_sys_Rm : error."
-        cat out_rsync
-        IGCM_debug_Exit "IGCM_sys_Rm"
+	echo "IGCM_sys_Rm : error."
+	cat out_rsync
+	IGCM_debug_Exit "IGCM_sys_Rm"
     fi
     IGCM_debug_PopStack "IGCM_sys_Rm"
@@ -838,10 +825,10 @@
 
 # 	#RSYNC WITH NETWORK RSH CALL
-# 	echo ${RSYNC_FRONT} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${RHOST}:${2} > out_rsync 2>&1
-# 	${RSYNC_FRONT} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${RHOST}:${2} >> out_rsync 2>&1
+# 	echo ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${RHOST}:${2} > out_rsync 2>&1
+# 	${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${RHOST}:${2} >> out_rsync 2>&1
 
 #  	#RSYNC WITH NFS USE
-#  	echo ${RSYNC_FRONT} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > out_rsync 2>&1
-#  	${RSYNC_FRONT} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> out_rsync 2>&1
+#  	echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > out_rsync 2>&1
+#  	${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> out_rsync 2>&1
 	
 #  	RET=$?
@@ -893,10 +880,10 @@
 
 # 	#RSYNC WITH NETWORK RSH CALL
-# 	echo ${RSYNC_FRONT} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${RHOST}:${2} > out_rsync 2>&1
-# 	${RSYNC_FRONT} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${RHOST}:${2} >> out_rsync 2>&1
+# 	echo ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${RHOST}:${2} > out_rsync 2>&1
+# 	${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${RHOST}:${2} >> out_rsync 2>&1
 
 #  	#RSYNC WITH NFS USE
-#  	echo ${RSYNC_FRONT} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > out_rsync 2>&1
-#  	${RSYNC_FRONT} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> out_rsync 2>&1
+#  	echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > out_rsync 2>&1
+#  	${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> out_rsync 2>&1
 
 #  	RET=$?
@@ -966,10 +953,10 @@
 
 # 	#RSYNC WITH NETWORK RSH CALL
-# 	echo ${RSYNC_FRONT} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RHOST}:"${dm_liste}" ${RHOST}:${RUN_DIR}/${DEST} > out_rsync 2>&1
-# 	${RSYNC_FRONT} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RHOST}:"${dm_liste}" ${RHOST}:${RUN_DIR}/${DEST} >> out_rsync 2>&1
+# 	echo ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RHOST}:"${dm_liste}" ${RHOST}:${RUN_DIR}/${DEST} > out_rsync 2>&1
+# 	${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RHOST}:"${dm_liste}" ${RHOST}:${RUN_DIR}/${DEST} >> out_rsync 2>&1
 
 #  	#RSYNC WITH NFS USE
-#  	echo ${RSYNC_FRONT} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} > out_rsync 2>&1
-#  	${RSYNC_FRONT} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} >> out_rsync 2>&1
+#  	echo ${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} > out_rsync 2>&1
+#  	${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} >> out_rsync 2>&1
 
 # 	RET=$?
@@ -988,33 +975,4 @@
     fi
     IGCM_debug_PopStack "IGCM_sys_Get"
-}
-
-############################################################## A REVOIR !!
-
-#D-#==================================================
-#D-function IGCM_sys_Rapatrie
-#D-* Purpose: Rapatrie
-#D-* Examples:
-#D-
-function IGCM_sys_Rapatrie {
-    IGCM_debug_PushStack "IGCM_sys_Rapatrie" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Rapatrie :" $@
-    fi
-
-    typeset RET=0
-
-    IGCM_sys_Get ${R_STOCKAGE}/$2 $1 ; 
-    let $(( RET=RET+$? ))
-    IGCM_sys_Cd $1 ; 
-    let $(( RET=RET+$? ))
-    IGCM_sys_UnTar $2 ; 
-    let $(( RET=RET+$? ))
-
-    if [ ${RET} -gt 0 ] ; then
-	echo "IGCM_sys_Rapatrie : erreur."
-	IGCM_debug_Exit "IGCM_sys_Rapatrie"
-    fi
-    IGCM_debug_PopStack "IGCM_sys_Rapatrie"
 }
 