Index: trunk/libIGCM/AA_create_ts
===================================================================
--- trunk/libIGCM/AA_create_ts	(revision 195)
+++ trunk/libIGCM/AA_create_ts	(revision 196)
@@ -1,6 +1,6 @@
 #-Q- platine #!/usr/bin/ksh
-#-Q- platine ##################
+#-Q- platine ###################
 #-Q- platine ## PLATINE   CEA ##
-#-Q- platine ##################
+#-Q- platine ###################
 #-Q- platine #BSUB -J TS                     # Nom du job
 #-Q- platine #BSUB -N                        # message a la fin du job
Index: trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 195)
+++ trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 196)
@@ -116,8 +116,7 @@
 RESOL_ICE=${RESOL_ICE:=ORCA2}
 
-#D- TEMPORARY Flag to determine ice resolution
-#D- Default : value from marine biogeochemistry driver if any
+#D- TEMPORARY Flag to determine biogeochemistry resolution
+#D- Default : value from ice driver if any
 RESOL_MBG=${RESOL_MBG:=ORCA2}
-
 
 #D- Flag to determine surface resolution
@@ -142,9 +141,11 @@
 
 RUN_DIR=${REBUILD_DIR}
-ListAllRebuildDir=$( ls -d ${REBUILD_DIR}/REBUILD_* | grep -B $(( ${NbRebuildDir} -1 )) ${PeriodDateBegin} )
+ListAllRebuildDir=$( IGCM_sys_RshMaster ls -d ${REBUILD_DIR}/REBUILD_* | grep -B $(( ${NbRebuildDir} -1 )) ${PeriodDateBegin} )
 #
 IGCM_sys_Cd ${RUN_DIR}
 
 for directory in ${ListAllRebuildDir} ; do
+    #
+    IGCM_sys_Get_Master ${directory} ${RUN_DIR}
     #
     IGCM_sys_Cd ${RUN_DIR}/$( basename ${directory} )
Index: trunk/libIGCM/libIGCM_config/libIGCM_config.ksh
===================================================================
--- trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 195)
+++ trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 196)
@@ -215,9 +215,9 @@
 		echo "DEBUG mode : activation of 'set -vx' mode."
 		echo "DEBUG mode : no protection for output files."
-		echo "DEBUG mode : force online rebuild."
+		echo "DEBUG mode : if active force asynchronous rebuild frequency to PeriodLength frequency."
 		;;
 	    DEV)
 		echo "DEVelopment mode : no protection for output files."
-		echo "DEVelopment mode : force online rebuild."
+		echo "DEVelopment mode : if active force asynchronous rebuild frequency to PeriodLength frequency."
 		;;
 	esac
Index: trunk/libIGCM/libIGCM_post/libIGCM_post.ksh
===================================================================
--- trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 195)
+++ trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 196)
@@ -650,5 +650,5 @@
             #
             typeset listVarEnv
-            listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,REBUILD_DIR,POST_DIR,DateBegin,PeriodDateBegin,PeriodDateEnd,NbRebuildDir,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_BIOS"
+            listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,REBUILD_DIR,POST_DIR,MASTER,DateBegin,PeriodDateBegin,PeriodDateEnd,NbRebuildDir,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_BIOS"
             IGCM_sys_RshPost <<-EOF
             export DEBUG_debug=${DEBUG_debug}
@@ -659,4 +659,5 @@
             export REBUILD_DIR=${REBUILD_DIR}
             export POST_DIR=${POST_DIR}
+            export MASTER=${MASTER}
             export DateBegin=${DateBegin}
             export PeriodDateBegin=${PeriodDateBegin}
@@ -683,13 +684,14 @@
 	    #
             typeset listVarEnv
-            listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,REBUILD_DIR,POST_DIR,DateBegin,PeriodDateBegin,PeriodDateEnd,NbRebuildDir,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_BIOS"
+            listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,REBUILD_DIR,POST_DIR,MASTER,DateBegin,PeriodDateBegin,PeriodDateEnd,NbRebuildDir,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_BIOS"
 	    IGCM_sys_RshPost <<-EOF
             export DEBUG_debug=${DEBUG_debug}
             export MODIPSL=${MODIPSL}
             export libIGCM_SX=${libIGCM}
-            export libIGCM=${libIGCM}
+            export libIGCM=${libIGCM_POST}
             export SUBMIT_DIR=${SUBMIT_DIR}
             export REBUILD_DIR=${REBUILD_DIR}
             export POST_DIR=${POST_DIR}
+            export MASTER=${MASTER}
             export DateBegin=${DateBegin}
             export PeriodDateBegin=${PeriodDateBegin}
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 195)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 196)
@@ -157,5 +157,5 @@
 #====================================================
 #- RUN_DIR_PATH : Temporary working directory (=> TMP)
-typeset -r RUN_DIR_PATH=${RUN_DIR_PATH:=${TMPDIR}}
+typeset -r RUN_DIR_PATH=${RUN_DIR_PATH:=${SCRATCHDIR}/${PBS_JOBID}}
 
 #====================================================
@@ -818,5 +818,5 @@
 	#
         # USUAL WAY
-	putfer $1 $2 > out_rsync 2>&1
+	cp $1 $2 > out_rsync 2>&1
         RET=$?
 
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 195)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 196)
@@ -184,5 +184,5 @@
     i=0
     while [ $i -ne $NB_ESSAI ] ; do
-        ssh cesium /bin/ksh ${@}
+        ssh -t mercure ssh cesium /bin/ksh ${@} 2>/dev/null
         status=$?
         if [ ${status} -ne 0 ];