Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh	(revision 216)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh	(revision 217)
@@ -65,8 +65,8 @@
 #=====================================================
 # Host and user names 
-# $hostname ou hostname 
-typeset -r HOST=$( hostname )
+# $hostname ou hostname
+typeset  HOST=${HOST:=$( hostname ) }
 # $username ou whoami
-typeset -r LOGIN=$( whoami )
+typeset  LOGIN=${LOGIN:=$( whoami ) }
 # $hostname of the MASTER job
 typeset -r MASTER=brodie
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh	(revision 216)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh	(revision 217)
@@ -66,7 +66,7 @@
 # Host and user names 
 # $hostname ou hostname 
-typeset -r HOST=$( hostname )
+typeset  HOST=${HOST:=$( hostname ) }
 # $username ou whoami
-typeset -r LOGIN=$( whoami )
+typeset  LOGIN=${LOGIN:=$( whoami ) }
 
 #D-
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 216)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 217)
@@ -65,8 +65,8 @@
 #=====================================================
 # Host and user names 
-# $hostname ou hostname 
-typeset -r HOST=$( hostname )
+# $hostname ou hostname
+typeset  HOST=${HOST:=$( hostname ) }
 # $username ou whoami
-typeset -r LOGIN=$( whoami )
+typeset  LOGIN=${LOGIN:=$( whoami ) }
 
 #D-
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh	(revision 216)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh	(revision 217)
@@ -65,8 +65,8 @@
 #=====================================================
 # Host and user names 
-# $hostname ou hostname 
-typeset -r HOST=$( hostname )
+# $hostname ou hostname
+typeset  HOST=${HOST:=$( hostname ) }
 # $username ou whoami
-typeset -r LOGIN=$( whoami )
+typeset  LOGIN=${LOGIN:=$( whoami ) }
 # $hostname of the MASTER job
 typeset -r MASTER=claude
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 216)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 217)
@@ -65,8 +65,8 @@
 #=====================================================
 # Host and user names 
-# $hostname ou hostname 
-typeset -r HOST=$( hostname )
+# $hostname ou hostname
+typeset  HOST=${HOST:=$( hostname ) }
 # $username ou whoami
-typeset -r LOGIN=$( whoami )
+typeset  LOGIN=${LOGIN:=$( whoami ) }
 # $hostname of the MASTER job
 typeset -r MASTER=${HOST}
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh	(revision 216)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh	(revision 217)
@@ -65,8 +65,8 @@
 #=====================================================
 # Host and user names 
-# $hostname ou hostname 
-typeset -r HOST=$( hostname )
+# $hostname ou hostname
+typeset  HOST=${HOST:=$( hostname ) }
 # $username ou whoami
-typeset -r LOGIN=$( whoami )
+typeset  LOGIN=${LOGIN:=$( whoami ) }
 
 #D-
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex8.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex8.ksh	(revision 216)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex8.ksh	(revision 217)
@@ -69,7 +69,7 @@
 # Host and user names
 # $hostname ou hostname
-typeset -r HOST=$( hostname )
+typeset  HOST=${HOST:=$( hostname ) }
 # $username ou whoami
-typeset -r LOGIN=$( whoami )
+typeset  LOGIN=${LOGIN:=$( whoami ) }
 # $hostname of the MASTER job
 typeset -r MASTER=mercure
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 216)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 217)
@@ -69,7 +69,7 @@
 # Host and user names
 # $hostname ou hostname
-typeset -r HOST=$( hostname )
+typeset  HOST=${HOST:=$( hostname ) }
 # $username ou whoami
-typeset -r LOGIN=$( whoami )
+typeset  LOGIN=${LOGIN:=$( whoami ) }
 # $hostname of the MASTER job
 typeset -r MASTER=mercure
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 216)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 217)
@@ -65,8 +65,8 @@
 #=====================================================
 # Host and user names 
-# $hostname ou hostname 
-typeset -r HOST=$( hostname )
+# $hostname ou hostname
+typeset  HOST=${HOST:=$( hostname ) }
 # $username ou whoami
-typeset -r LOGIN=$( whoami )
+typeset  LOGIN=${LOGIN:=$( whoami ) }
 # $hostname of the MASTER job
 typeset -r MASTER=obelix
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 216)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 217)
@@ -65,8 +65,8 @@
 #=====================================================
 # Host and user names 
-# $hostname ou hostname 
-typeset -r HOST=$( hostname )
+# $hostname ou hostname
+typeset  HOST=${HOST:=$( hostname ) }
 # $username ou whoami
-typeset -r LOGIN=$( whoami )
+typeset  LOGIN=${LOGIN:=$( whoami ) }
 # $hostname of the MASTER job
 typeset MASTER=platine
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 216)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 217)
@@ -65,8 +65,8 @@
 #=====================================================
 # Host and user names 
-# $hostname ou hostname 
-typeset -r HOST=$( hostname )
+# $hostname ou hostname
+typeset  HOST=${HOST:=$( hostname ) }
 # $username ou whoami
-typeset -r LOGIN=$( whoami )
+typeset  LOGIN=${LOGIN:=$( whoami ) }
 
 #D-
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh	(revision 216)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh	(revision 217)
@@ -65,8 +65,8 @@
 #=====================================================
 # Host and user names 
-# $hostname ou hostname 
-typeset -r HOST=$( hostname )
+# $hostname ou hostname
+typeset  HOST=${HOST:=$( hostname ) }
 # $username ou whoami
-typeset -r LOGIN=$( whoami )
+typeset  LOGIN=${LOGIN:=$( whoami ) }
 # $hostname of the MASTER job
 typeset -r MASTER=vargas